//
//  UMTransportErrorCode.h
//  ulibtransport
//
//  Created by Andreas Fink on 15.06.18.
//  Copyright © 2018 Andreas Fink. All rights reserved.
//

typedef enum UMTransportErrorCode
{
    UMTransportErrorCode_transportNotAllowed = 5,

    UMTransportErrorCode_unknownSubscriber = 1,
    UMTransportErrorCode_unknownBaseStation = 2,
    UMTransportErrorCode_unknownMSC = 3,
    UMTransportErrorCode_secureTransportError =4,
    UMTransportErrorCode_absentSubscriberSM = 6,
    UMTransportErrorCode_unknownEquipment = 7,
    UMTransportErrorCode_roamingNotAllowed = 8,
    UMTransportErrorCode_illegalSubscriber = 9,
    UMTransportErrorCode_bearerServiceNotProvisioned = 10,
    UMTransportErrorCode_teleserviceNotProvisioned = 11,
    UMTransportErrorCode_illegalEquipment = 12,
    UMTransportErrorCode_callBarred = 13,
    UMTransportErrorCode_forwardingViolation = 14,
    UMTransportErrorCode_cug_Reject = 15,
    UMTransportErrorCode_illegalSS_Operation = 16,
    UMTransportErrorCode_ss_ErrorStatus = 17,
    UMTransportErrorCode_ss_NotAvailable = 18,
    UMTransportErrorCode_ss_SubscriptionViolation = 19,
    UMTransportErrorCode_ss_Incompatibility = 20,
    UMTransportErrorCode_facilityNotSupported = 21,
    UMTransportErrorCode_ongoingGroupCall = 22,
    UMTransportErrorCode_invalidTargetBaseStation = 23,
    UMTransportErrorCode_noRadioResourceAvailable = 24,
    UMTransportErrorCode_noHandoverNumberAvailable = 25,
    UMTransportErrorCode_subsequentHandoverFailure = 26,
    UMTransportErrorCode_absentSubscriber = 27,
    UMTransportErrorCode_incompatibleTerminal = 28,
    UMTransportErrorCode_shortTermDenial = 29,
    UMTransportErrorCode_longTermDenial = 30,
    UMTransportErrorCode_subscriberBusyForMT_SMS = 31,
    UMTransportErrorCode_sm_DeliveryFailure = 32,
    UMTransportErrorCode_messageWaitingListFull = 33,
    UMTransportErrorCode_systemFailure = 34,
    UMTransportErrorCode_dataMissing = 35,
    UMTransportErrorCode_unexpectedDataValue = 36,
    UMTransportErrorCode_pw_RegistrationFailure = 37,
    UMTransportErrorCode_negativePW_Check = 38,
    UMTransportErrorCode_noRoamingNumberAvailable = 39,
    UMTransportErrorCode_tracingBufferFull = 40,
    UMTransportErrorCode_targetCellOutsideGroupCallArea = 42,
    UMTransportErrorCode_numberOfPW_AttemptsViolation = 43,
    UMTransportErrorCode_numberChanged = 44,
    UMTransportErrorCode_busySubscriber = 45,
    UMTransportErrorCode_noSubscriberReply = 46,
    UMTransportErrorCode_forwardingFailed = 47,
    UMTransportErrorCode_or_NotAllowed = 48,
    UMTransportErrorCode_ati_NotAllowed = 49,
    UMTransportErrorCode_noGroupCallNumberAvailable = 50,
    UMTransportErrorCode_resourceLimitation = 51,
    UMTransportErrorCode_unauthorisedRequestingNetwork = 52,
    UMTransportErrorCode_unauthorisedLCSClient = 53,
    UMTransportErrorCode_positionMethodFailure = 54,
    UMTransportErrorCode_unknownOrUnreachableLCSClient = 58,
    UMTransportErrorCode_mm_EventNotSupported = 59,
    UMTransportErrorCode_atsi_NotAllowed = 60,
    UMTransportErrorCode_atm_NotAllowed = 61,
    UMTransportErrorCode_informationNotAvailable = 62,
    UMTransportErrorCode_unknownAlphabet = 71,
    UMTransportErrorCode_ussd_Busy = 72,
} UMTransportErrorCode;
