//
//  UMTransportRequest.h
//  ulibtransport
//
//  Created by Andreas Fink on 07.06.18.
//  Copyright © 2018 Andreas Fink. All rights reserved.
//

#import <ulibasn1/ulibasn1.h>

@interface UMTransportRequest : UMASN1Sequence
{
    NSData *_requestReference;
    int64_t _requestOperationCode;
    NSData *_requestPayload;
    NSString *_requestResponseAddressSMS;
    NSString *_requestResponseAddressSccp;
}

@property(readwrite,strong) NSData *requestReference;
@property(readwrite,assign) int64_t requestOperationCode;
@property(readwrite,strong) NSData *requestPayload;
@property(readwrite,strong) NSString *requestResponseAddressSMS;
@property(readwrite,strong) NSString *requestResponseAddressSccp;

@end
