//
//  UMTransportSegment.h
//  ulibtransport
//
//  Created by Andreas Fink on 07.06.18.
//  Copyright © 2018 Andreas Fink. All rights reserved.
//

#import <ulibasn1/ulibasn1.h>

#import "UMTransportAddress.h"

@interface UMTransportSegment : UMASN1Sequence
{
    UMTransportAddress      *_src;
    UMTransportAddress      *_dst;
    NSInteger               _maxParts;
    NSInteger               _messageReference;
    NSInteger               _messagePart;
    NSData                  *_chunkData;
}

@property(readwrite,assign) NSInteger   messagePart;
@property(readwrite,assign) NSInteger   maxParts;
@property(readwrite,assign) NSInteger   messageReference;
@property(readwrite,strong) NSData      *chunkData;

@property(readwrite,strong) UMTransportAddress  *src;
@property(readwrite,strong) UMTransportAddress  *dst;

@end
