//
//  UMTransportHardwareIdentifier.h
//  ulibtransport
//
//  Created by Andreas Fink on 26.06.18.
//  Copyright © 2018 Andreas Fink. All rights reserved.
//

#import <ulibasn1/ulibasn1.h>

@interface UMTransportHardwareIdentifier : UMASN1Sequence
{
    NSString *_cpuId;
    NSString *_macAddress;
    NSString *_uuid;
    NSString *_ip;
    NSString *_serial;
    NSString *_os;
    
    NSString *_sysname;
    NSString *_nodeName;
    NSString *_osRelease;
    NSString *_osVersion;
    NSString *_osMachine;
}

@property(readwrite,strong) NSString *cpuId;
@property(readwrite,strong) NSString *macAddress;
@property(readwrite,strong) NSString *uuid;
@property(readwrite,strong) NSString *ip;
@property(readwrite,strong) NSString *serial;
@property(readwrite,strong) NSString *os;

@property(readwrite,strong) NSString *sysname;
@property(readwrite,strong) NSString *nodeName;
@property(readwrite,strong) NSString *osRelease;
@property(readwrite,strong) NSString *osVersion;
@property(readwrite,strong) NSString *osMachine;

@end
